<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda American Textil  :: By Daniel Herrera Tello.    -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
	<xsl:element name="RequestCFD">
		<xsl:attribute name="mailInterno">
			<xsl:value-of select="Datos/Receptor/@Email"/>
		</xsl:attribute>
		<xsl:variable name="vProv">
			<xsl:call-template name="Rellena">
				<xsl:with-param name="cadena" select="Datos/Emisor/@noProveedor"/>
				<xsl:with-param name="hasta" select="8"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:attribute name="cveProveedor">
			<xsl:value-of select="$vProv"/>
		</xsl:attribute>
		<xsl:variable name="vFolio">
			<xsl:call-template name="Rellena">
				<xsl:with-param name="cadena" select="concat(Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
				<xsl:with-param name="hasta" select="8"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:attribute name="oru">
			<xsl:value-of select="$vFolio"/>
		</xsl:attribute>
		<xsl:attribute name="mailProveedor">
			<xsl:value-of select="Datos/Emisor/@Email"/>
		</xsl:attribute>
		<xsl:attribute name="texto">
			<xsl:value-of select="Datos/Documento/@Dato3"/>
		</xsl:attribute>
		<xsl:variable name="vOC">
			<xsl:call-template name="Rellena">
				<xsl:with-param name="cadena" select="Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
				<xsl:with-param name="hasta" select="8"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:attribute name="oc">
			<xsl:value-of select="$vOC"/>
		</xsl:attribute>
		<xsl:element name="Items">
			<xsl:for-each select="Datos/Documento/Partidas/Partida">
				<xsl:element name="Item">
					<xsl:attribute name="cantidad">
						<xsl:value-of select="format-number(@Cantidad,'0.00')"/>
					</xsl:attribute>
					<xsl:attribute name="Descripcion">
						<xsl:value-of select="substring(@Descripcion,1,200)"/>
					</xsl:attribute>
					<xsl:attribute name="cveMaterial">
						<xsl:value-of select="substring(@CodigoCliente,1,20)"/>
					</xsl:attribute>
					<xsl:attribute name="PrecioUnitario">
						<xsl:value-of select="format-number(@PrecioBruto,'0.00')"/>
					</xsl:attribute>
					<xsl:attribute name="UM">
						<xsl:value-of select="substring(@UnidadMedida,1,3)"/>
					</xsl:attribute>
					<xsl:attribute name="OC">
						<xsl:value-of select="$vOC"/>
					</xsl:attribute>
					<xsl:attribute name="ItemOrder">
						<xsl:value-of select="./XMLAddenda/Partida/@ItemOrder"/>
					</xsl:attribute>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
		<xsl:element name="Total">
			<xsl:element name="Total">
				<xsl:attribute name="Importe">
					<xsl:value-of select="format-number(Datos/Documento/@SubTotal,'0.00')"/>
				</xsl:attribute>
			</xsl:element>
		</xsl:element>
	</xsl:element>
	</xsl:template>
	<xsl:template name="Rellena">
		<xsl:param name="cadena"/>
		<xsl:param name="hasta"/>
		<xsl:variable name="largocad" select="string-length($cadena)"/>
		<xsl:choose>
			<xsl:when test="$largocad = $hasta"><xsl:value-of select="$cadena"/></xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="Rellena">
					<xsl:with-param name="cadena" select="concat('0',$cadena)"/>
					<xsl:with-param name="hasta" select="$hasta"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>